# mpcinputd

Daemon reading from a named input device and converting buttons pressed 
on a remote control to mpc commands.

## Limitations

The daemon is made to fit my own setup, it might become more customizable
in the future.

## Build

* Compile the daemon:
```
make
```

* Installation, default PREFIX is `/usr/local/`. The daemon will be installed in `${PREFIX}/sbin/mpcinputd`:
```
make install
```

### Automatic start on system start (gentoo)

Assuming openrc:

```bash
install -o root -g wheel -m 755 openrc/mpcinputd /etc/init.d/mpcinputd
```

Add it to the default runlevel:
```bash
rc-update add mpcinputd default
```